package com.sunyard.chsm.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.LocalDate;
import java.util.List;

/**
 * @author liulu
 * @since 2024/12/17
 */
@Data
public class KeyUpdateReq {

    /**
     * 密钥id列表
     */
    @Size(min = 1, max = 100, message = "密钥id列表长度在1-100之间")
    @NotNull(message = "密钥id列表不能为空")
    private List<Long> ids;

    /**
     * 新密钥生效时间 yyyy-MM-dd
     */
    private LocalDate effectiveTime;
}
