package com.sunyard.chsm.param;

import com.sunyard.chsm.enums.HashAlg;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class SymHmacReq {
    // 密钥ID
    @NotNull(message = "密钥ID不能为空")
    private Long keyId;

    // 明文,使用Base64编码
    @NotBlank(message = "明文不能为空")
    private String plainData;

    // Hash算法,默认SM3
    private HashAlg hashAlg = HashAlg.SM3;

}
